import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostBlockungKurs extends JavaObject {
    id: number;
    fach_id: number;
    kursart: number;
    nummer: number;
    istKoopKurs: boolean;
    suffix: String;
    wochenstunden: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBlockungKurs;
    static transpilerToJSON(obj: GostBlockungKurs): string;
    static transpilerToJSONPatch(obj: Partial<GostBlockungKurs>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBlockungKurs(obj: unknown): GostBlockungKurs;
